Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           gsf-sharp
Version:        0.8.1
Release:        2
Summary:        Mono bindings for libgsf

Group:          System/Libraries
License:        GPL
URL:            http://go-mono.com
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-core-devel libgsf-devel gtk-sharp-gapi gtk-sharp
BuildRequires:  gtk-sharp-devel
Requires:       libgsf

%description
Mono bindings for libgsf

%package devel
Summary: 	pkgconfig file for gsf-sharp
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release} pkgconfig

%description devel
pkgconfig file for gsf-sharp

%prep
%setup -q

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}

make install DESTDIR=$RPM_BUILD_ROOT GACUTIL_FLAGS="/package gtk-sharp /gacdir %{_libdir} /root ${RPM_BUILD_ROOT}%{_libdir}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS NEWS README COPYING
%{_libdir}/libgsfglue.*
%{_libdir}/mono/gac/gsf-sharp
%{_libdir}/mono/gtk-sharp/*
%{_datadir}/gapi-2.0/gsf-api.xml

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/gsf-sharp.pc

%changelog
* Tue Dec 11 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.1-2
- rebuild against mono 1.2.5.2
* Tue Apr 03 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.1-1
- Initial release
